/**
 * 
 */
package bots;

import robocode.MessageEvent;
import modules.states.TemplateStateModule;
import modules.states.TalkativeStateManager;
/**
 * Robot with communication
 * @author Francesco Baldisserri
 */
public class TalkativeBot extends TemplateBot {
	private TalkativeStateManager tsm;
	/**
	 * Add request command string
	 */
	public static final String ADD_REQUEST="ADDRQ";
	/* (non-Javadoc)
	 * @see bots.BasicBot#getStateManager()
	 */
	protected TemplateStateModule getStateModule() {
		tsm=new TalkativeStateManager(this,bots);
		return tsm;
	}
	/* (non-Javadoc)
	 * @see bots.TemplateBot#onMessageReceived(robocode.MessageEvent)
	 */
	public void onMessageReceived(MessageEvent arg0) {
		String[] msg=(String[])arg0.getMessage();
		if(msg[0].equals(ADD_REQUEST))
			tsm.setRequest(msg[1]);
		super.onMessageReceived(arg0);
	}
}